restoreNasVolumeWithSnapshot

Prev Next

Available in VPC

You can use a snapshot to restore a NAS volume.

Note
  • After you restore a NAS volume, you can view the recovery history on that volume.
  • When you restore a NAS volume, only the snapshot used for recovery and any snapshots created before it are retained; snapshots created after the point of recovery are lost.

Requests

The following describes the request format for the endpoint. The request format is as follows.

Method URI
GET | POST /vnas/v2/restoreNasVolumeWithSnapshot
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all NAS (VPC) APIs, see NAS (VPC) request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
nasVolumeInstanceNo String Required Unique number of the NAS volume instance to be restored
nasVolumeSnapshotName String Required Name of the snapshot to be used for recovery
regionCode String Optional Region code of the NAS volume instance to restore
responseFormatType String Optional Format type of the response result
  • xml (default) | json

Request example

The following is a sample request.

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vnas/v2/restoreNasVolumeWithSnapshot
?regionCode=KR
&nasVolumeInstanceNo=00000000
&nasVolumeSnapshotName=now.20240403.132209
&responseFormatType=xml' \
--header 'x-ncp-apigw-timestamp: {timestamp}' \
--header 'x-ncp-iam-access-key: {access key}' \
--header 'x-ncp-apigw-signature-v2: {API gateway signature}'

Responses

The following describes the response format.

Response body

See NasVolumeSnapshotList for the response body.

Response status codes

For information about the HTTP status codes common to all NAS (VPC) APIs, see NAS (VPC) response status codes.

Response example

The following is a sample response. The snapshot list of the corresponding NAS volume instance is displayed after completing the request.

<?xml version="1.0" encoding="UTF-8"?>
<restoreNasVolumeWithSnapshotResponse>
    <requestId></requestId>
    <returnCode>0</returnCode>
    <returnMessage>success</returnMessage>
    <totalRows>1</totalRows>
    <nasVolumeSnapshotList>
        <nasVolumeSnapshot>
            <nasVolumeSnapshotName>now.20240403.132209</nasVolumeSnapshotName>
            <createDate>2024-04-03T13:22:09+0900</createDate>
            <snapshotSize>290816</snapshotSize>
            <isBusy>false</isBusy>
        </nasVolumeSnapshot>
    </nasVolumeSnapshotList>
</restoreNasVolumeWithSnapshotResponse>